package com.ytpm.middle.service;

import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;
import com.ytpm.middle.param.MiddleDeptListParam;
import com.ytpm.middle.param.MiddleDeptParam;
import com.ytpm.middle.view.DropDownVO;
import com.ytpm.middle.view.MiddleDeptVO;

public interface DeptService {
    /**
     * 查询部门列表
     */
    ResultTable<MiddleDeptVO> queryList(MiddleDeptListParam param);

    /**
     * 新增部门信息
     */
    Result<String> addOne(MiddleDeptParam param);

    /**
     * 查询部门树形菜单
     */
    Result<DropDownVO> getDeptTree();

    /**
     * 修改部门信息
     */
    Result<String> updateOne(MiddleDeptParam param);

    /**
     * 删除部门信息
     */
    Result<String> deleteOne(Integer deptId, String operatorId);
}
